"""config.tests.test_read_dbgpao.py


"""


# https://github.com/google/python-fire/blob/master/docs/guide.md
import fire

from tool_sybase import PARAMS_DBGPAO, print_sybase_records


def read_clients():
    """Lecture des clients de la base distante dbgpao.id3semi

    Exemple d'appel::

        pipenv run python test_read_dbgpao.py read_clients

    """
    print_sybase_records(tablename="CLIENTS", db_params=PARAMS_DBGPAO)


def read_fournisseurs() -> None:
    """Lecture des fournisseurs de la base distante dbgpao.id3semi


    Commande de suppression du contenu de la table fournisseur.

        psql -d db_id3_intranet -U id3admin

        truncate fournisseur;

        alter sequence fournisseur_id_seq restart with 1;


    Exemple d'appel::

        pipenv run python test_read_dbgpao.py read_fournisseurs

    Colonnes intéressantes:

        [
            'CODE_FOURNISSEUR',
            'RAISON_SOCIALE',
            'ACTIF',
            'DATE_CREATION',
            'DATE_MAJ',
        ]


    Data:
        N° 0 FOURNISSEURS(CODE_FOURNISSEUR='0000', RAISON_SOCIALE='DIVERS FOURN ECHANTILLONS', TELEPHONE='',
              INTERLOCUTEUR='', TELEPHONE_DIRECT='', TELEX=None, FAX='', NOM_RUE='', VILLE='',
              CODE_POSTAL='', PAYS='FR', COMMENTAIRES='DIVERS FOURN ECHANTILLONS', DEVISE='EUR', MODE_TRANSPORT='02',
              CONDITION_PAIEMENT='L5', ACTIVITE='ZZZZ', ENCOURS_CDES=0.0, ENCOURS_CDES_EU=0.0, CA_AN=0.0, CA_AN_EU=0.0, AP_CA_AN=0.0,
              AP_CA_AN_EU=0.0, DATE_DERN_CDE='20171123', CA_MOIS1=0.0, CA_MOIS2=0.0, CA_MOIS3=0.0, CA_MOIS4=0.0, CA_MOIS5=0.0,
              CA_MOIS6=0.0, CA_MOIS7=0.0, CA_MOIS8=0.0, CA_MOIS9=0.0, CA_MOIS10=0.0, CA_MOIS11=0.0, CA_MOIS12=0.0, CA_MOIS1_EU=0.0,
              CA_MOIS2_EU=0.0, CA_MOIS3_EU=0.0, CA_MOIS4_EU=0.0, CA_MOIS5_EU=0.0, CA_MOIS6_EU=0.0, CA_MOIS7_EU=0.0, CA_MOIS8_EU=0.0,
              CA_MOIS9_EU=0.0, CA_MOIS10_EU=0.0, CA_MOIS11_EU=0.0, CA_MOIS12_EU=0.0, AP_CA_MOIS1=0.0, AP_CA_MOIS2=0.0, AP_CA_MOIS3=0.0,
              AP_CA_MOIS4=0.0, AP_CA_MOIS5=0.0, AP_CA_MOIS6=0.0, AP_CA_MOIS7=0.0, AP_CA_MOIS8=0.0, AP_CA_MOIS9=0.0, AP_CA_MOIS10=0.0,
              AP_CA_MOIS11=0.0, AP_CA_MOIS12=0.0, AP_CA_MOIS1_EU=0.0, AP_CA_MOIS2_EU=0.0, AP_CA_MOIS3_EU=0.0, AP_CA_MOIS4_EU=0.0, AP_CA_MOIS5_EU=0.0,
              AP_CA_MOIS6_EU=0.0, AP_CA_MOIS7_EU=0.0, AP_CA_MOIS8_EU=0.0, AP_CA_MOIS9_EU=0.0, AP_CA_MOIS10_EU=0.0, AP_CA_MOIS11_EU=0.0, AP_CA_MOIS12_EU=0.0,
              NBRE_RECEPTIONS=4, TOTAL_JOURS_AVANCE=0, MOYENNE_AVANCE=0, TOTAL_JOURS_RETARD=0, MOYENNE_RETARD=0, TOTAL_RETOURS=0, MOYENNE_RETOURS=0,
              AP_MOYENNE_AVANCE=0, AP_MOYENNE_RETARD=0, AP_MOYENNE_RETOUR=0, BUDGET_ACHATS=0.0, BUDGET_ACHATS_EU=0.0, SITE_WEB=None,
              COMPTE_FOURNISSEUR='', LOCALISATION='F', MODE_CALCUL_TVA='N', E_MAIL='', LANGUE='F', DATE_CREATION='20030414', DATE_MAJ='20171123',
              ACHETEUR='0006', TARIF_1ER='M', TARIF_2EME='F', TARIF_3EME='C', CLE_ACCES=None, INTRACOM=None, TYPE_FOURNISSEUR=None, MODE_PAIEMENT_TVA='D', SIRET=None,
              CODE_APE=None, IBAN=None, BIC=None, BANQUE=None,
              CODE_BANQUE=None, CODE_GUICHET=None, COMPTE=None, CLE_RIB=None, NUMERO_CLIENT=None, MINI_COMMANDE=0.0, COLLECTIF=None,
              ACTIF=1, RAISON_SOCIALE_COMPLEMENT=None, ADRESSE_CONSULTATION=None, ADRESSE_COMMANDE=None,
              ADRESSE_LIVRAISON=None, ADRESSE_FACTURE=None, CATEGORIE='F', CLE='1')
        N° 1 FOURNISSEURS(CODE_FOURNISSEUR='0001', RAISON_SOCIALE='ASIP SANTE', TELEPHONE='', INTERLOCUTEUR='', TELEPHONE_DIRECT='', TELEX=None, FAX='', NOM_RUE='9 rue Georges Pitard', VILLE='PARIS', CODE_POSTAL='F-75015', PAYS='FR', COMMENTAIRES='', DEVISE='EUR', MODE_TRANSPORT='01', CONDITION_PAIEMENT='V0', ACTIVITE='ZZZZ', ENCOURS_CDES=0.0, ENCOURS_CDES_EU=0.0, CA_AN=0.0, CA_AN_EU=0.0, AP_CA_AN=0.0, AP_CA_AN_EU=0.0, DATE_DERN_CDE='20140718', CA_MOIS1=0.0, CA_MOIS2=0.0, CA_MOIS3=0.0, CA_MOIS4=0.0, CA_MOIS5=0.0, CA_MOIS6=0.0, CA_MOIS7=0.0, CA_MOIS8=0.0, CA_MOIS9=0.0, CA_MOIS10=0.0, CA_MOIS11=0.0, CA_MOIS12=0.0, CA_MOIS1_EU=0.0, CA_MOIS2_EU=0.0, CA_MOIS3_EU=0.0, CA_MOIS4_EU=0.0, CA_MOIS5_EU=0.0, CA_MOIS6_EU=0.0, CA_MOIS7_EU=0.0, CA_MOIS8_EU=0.0, CA_MOIS9_EU=0.0, CA_MOIS10_EU=0.0, CA_MOIS11_EU=0.0, CA_MOIS12_EU=0.0, AP_CA_MOIS1=0.0, AP_CA_MOIS2=0.0, AP_CA_MOIS3=0.0, AP_CA_MOIS4=0.0, AP_CA_MOIS5=0.0, AP_CA_MOIS6=0.0, AP_CA_MOIS7=0.0, AP_CA_MOIS8=0.0, AP_CA_MOIS9=0.0, AP_CA_MOIS10=0.0, AP_CA_MOIS11=0.0, AP_CA_MOIS12=0.0, AP_CA_MOIS1_EU=0.0, AP_CA_MOIS2_EU=0.0, AP_CA_MOIS3_EU=0.0, AP_CA_MOIS4_EU=0.0, AP_CA_MOIS5_EU=0.0, AP_CA_MOIS6_EU=0.0, AP_CA_MOIS7_EU=0.0, AP_CA_MOIS8_EU=0.0, AP_CA_MOIS9_EU=0.0, AP_CA_MOIS10_EU=0.0, AP_CA_MOIS11_EU=0.0, AP_CA_MOIS12_EU=0.0, NBRE_RECEPTIONS=0, TOTAL_JOURS_AVANCE=0, MOYENNE_AVANCE=0, TOTAL_JOURS_RETARD=0, MOYENNE_RETARD=0, TOTAL_RETOURS=0, MOYENNE_RETOURS=0, AP_MOYENNE_AVANCE=0, AP_MOYENNE_RETARD=0, AP_MOYENNE_RETOUR=0, BUDGET_ACHATS=0.0, BUDGET_ACHATS_EU=0.0, SITE_WEB=None, COMPTE_FOURNISSEUR='FASIP', LOCALISATION='F', MODE_CALCUL_TVA='E', E_MAIL='', LANGUE='F', DATE_CREATION='20030414', DATE_MAJ='20170530', ACHETEUR='0003', TARIF_1ER='M', TARIF_2EME='F', TARIF_3EME='C', CLE_ACCES=None, INTRACOM=None, TYPE_FOURNISSEUR=None, MODE_PAIEMENT_TVA='E', SIRET=None, CODE_APE=None, IBAN=None, BIC=None, BANQUE=None, CODE_BANQUE=None, CODE_GUICHET=None, COMPTE=None, CLE_RIB=None, NUMERO_CLIENT=None, MINI_COMMANDE=0.0, COLLECTIF=None, ACTIF=0, RAISON_SOCIALE_COMPLEMENT=None, ADRESSE_CONSULTATION=None, ADRESSE_COMMANDE=None, ADRESSE_LIVRAISON=None, ADRESSE_FACTURE=None, CATEGORIE='F', CLE='2')

        N° 632 FOURNISSEURS(CODE_FOURNISSEUR='0631', RAISON_SOCIALE='ASTON Technologies', TELEPHONE='05 62 79 28 82', INTERLOCUTEUR=None,
               TELEPHONE_DIRECT=None, TELEX=None, FAX='05 34 52 19 15', NOM_RUE='Route de Toulouse', VILLE='CADOURS', CODE_POSTAL='F-31480', PAYS='FR',
               COMMENTAIRES=None, DEVISE='EUR', MODE_TRANSPORT='02', CONDITION_PAIEMENT='A1', ACTIVITE='ZZZZ', ENCOURS_CDES=158.0, ENCOURS_CDES_EU=158.0, CA_AN=0.0,
               CA_AN_EU=0.0, AP_CA_AN=0.0, AP_CA_AN_EU=0.0, DATE_DERN_CDE='20171124', CA_MOIS1=0.0, CA_MOIS2=0.0, CA_MOIS3=0.0, CA_MOIS4=0.0, CA_MOIS5=0.0, CA_MOIS6=0.0,
               CA_MOIS7=0.0, CA_MOIS8=0.0, CA_MOIS9=0.0, CA_MOIS10=0.0, CA_MOIS11=0.0, CA_MOIS12=0.0, CA_MOIS1_EU=0.0, CA_MOIS2_EU=0.0, CA_MOIS3_EU=0.0, CA_MOIS4_EU=0.0,
               CA_MOIS5_EU=0.0, CA_MOIS6_EU=0.0, CA_MOIS7_EU=0.0, CA_MOIS8_EU=0.0, CA_MOIS9_EU=0.0, CA_MOIS10_EU=0.0, CA_MOIS11_EU=0.0, CA_MOIS12_EU=0.0, AP_CA_MOIS1=0.0,
               AP_CA_MOIS2=0.0, AP_CA_MOIS3=0.0, AP_CA_MOIS4=0.0, AP_CA_MOIS5=0.0, AP_CA_MOIS6=0.0, AP_CA_MOIS7=0.0, AP_CA_MOIS8=0.0, AP_CA_MOIS9=0.0, AP_CA_MOIS10=0.0,
               AP_CA_MOIS11=0.0, AP_CA_MOIS12=0.0, AP_CA_MOIS1_EU=0.0, AP_CA_MOIS2_EU=0.0, AP_CA_MOIS3_EU=0.0, AP_CA_MOIS4_EU=0.0, AP_CA_MOIS5_EU=0.0, AP_CA_MOIS6_EU=0.0, A
               P_CA_MOIS7_EU=0.0, AP_CA_MOIS8_EU=0.0, AP_CA_MOIS9_EU=0.0, AP_CA_MOIS10_EU=0.0, AP_CA_MOIS11_EU=0.0, AP_CA_MOIS12_EU=0.0, NBRE_RECEPTIONS=0, TOTAL_JOURS_AVANCE=0,
               MOYENNE_AVANCE=0, TOTAL_JOURS_RETARD=0, MOYENNE_RETARD=0, TOTAL_RETOURS=0, MOYENNE_RETOURS=0, AP_MOYENNE_AVANCE=0, AP_MOYENNE_RETARD=0, AP_MOYENNE_RETOUR=0,
               BUDGET_ACHATS=0.0, BUDGET_ACHATS_EU=0.0, SITE_WEB='www.astonic-france.com', COMPTE_FOURNISSEUR='FASTON', LOCALISATION='F', MODE_CALCUL_TVA='N', E_MAIL=None,
               LANGUE='F', DATE_CREATION='20171123', DATE_MAJ='20171124', ACHETEUR='0006', TARIF_1ER='M', TARIF_2EME='F', TARIF_3EME='C', CLE_ACCES=None, INTRACOM='FR33452324296',
               TYPE_FOURNISSEUR=None, MODE_PAIEMENT_TVA='D', SIRET='452 324 296', CODE_APE=None, IBAN=None, BIC=None, BANQUE=None, CODE_BANQUE=None, CODE_GUICHET=None,
               COMPTE=None, CLE_RIB=None, NUMERO_CLIENT=None, MINI_COMMANDE=0.0, COLLECTIF=None, ACTIF=1, RAISON_SOCIALE_COMPLEMENT=None, ADRESSE_CONSULTATION=None,
               ADRESSE_COMMANDE=None, ADRESSE_LIVRAISON=None, ADRESSE_FACTURE=None, CATEGORIE='F', CLE='633')


        N° 0 FOURNISSEURS(CODE_FOURNISSEUR='0000', RAISON_SOCIALE='DIVERS FOURN ECHANTILLONS', SITE_WEB=None, ACTIF=1, DATE_CREATION='20030414', DATE_MAJ='20171123')
        N° 1 FOURNISSEURS(CODE_FOURNISSEUR='0001', RAISON_SOCIALE='ASIP SANTE', SITE_WEB=None, ACTIF=0, DATE_CREATION='20030414', DATE_MAJ='20170530')
        N° 2 FOURNISSEURS(CODE_FOURNISSEUR='0002', RAISON_SOCIALE='Advanced Card Systems Ltd', SITE_WEB='www.acs.com.hk', ACTIF=0, DATE_CREATION='20030414', DATE_MAJ='20170213')

        N° 630 FOURNISSEURS(CODE_FOURNISSEUR='0629', RAISON_SOCIALE='SAPRATIN TECHNOLOGIES', SITE_WEB='www.sapratin.com', ACTIF=1, DATE_CREATION='20170921', DATE_MAJ='20171010')
        N° 631 FOURNISSEURS(CODE_FOURNISSEUR='0630', RAISON_SOCIALE='JPC', SITE_WEB='www.jpcfrance.fr', ACTIF=1, DATE_CREATION='20171006', DATE_MAJ='20171107')
        N° 632 FOURNISSEURS(CODE_FOURNISSEUR='0631', RAISON_SOCIALE='ASTON Technologies', SITE_WEB='www.astonic-france.com', ACTIF=1, DATE_CREATION='20171123', DATE_MAJ='20171124')

    """
    print_sybase_records(
        tablename="FOURNISSEURS",
        db_params=PARAMS_DBGPAO,
        colonnes=[
            "CODE_FOURNISSEUR",
            "RAISON_SOCIALE",
            "SITE_WEB",
            "ACTIF",
            "DATE_CREATION",
            "DATE_MAJ",
        ],
    )


def read_fabricants() -> None:
    """Lecture des fabricants de la base distante dbgpao.id3semi


    Commande de suppression du contenu de la table fournisseur.

        psql -d db_id3_intranet -U id3admin

        truncate fabricant;


    Exemple d'appel::

        pipenv run python test_read_dbgpao.py read_fabricants

    Colonnes intéressantes:

     colonnes = [
            'CODE_FABRICANT',
            'DESIGNATION',
            'ACTIF',
            'SITE_WEB',
            'DATE_CREATION',
            'DATE_MAJ',
        ]


    Data:

        N° 0 FABRICANTS(CODE_FABRICANT='', DESIGNATION='', DATE_CREATION=None, DATE_MAJ=None, NOM_RUE=None, CODE_POSTAL=None, VILLE=None, PAYS=None, TELEPHONE=None, FAX=None, E_MAIL=None, SITE_WEB=None, ACTIF=1)
        N° 1 FABRICANTS(CODE_FABRICANT='***', DESIGNATION='***', DATE_CREATION=None, DATE_MAJ=None, NOM_RUE=None, CODE_POSTAL=None, VILLE=None, PAYS=None, TELEPHONE=None, FAX=None, E_MAIL=None, SITE_WEB=None, ACTIF=1)
        N° 2 FABRICANTS(CODE_FABRICANT='3COM', DESIGNATION='3COM', DATE_CREATION=None, DATE_MAJ=None, NOM_RUE=None, CODE_POSTAL=None, VILLE=None, PAYS=None, TELEPHONE=None, FAX=None, E_MAIL=None, SITE_WEB=None, ACTIF=1)
        N° 3 FABRICANTS(CODE_FABRICANT='3M', DESIGNATION='3M', DATE_CREATION=None, DATE_MAJ=None, NOM_RUE=None, CODE_POSTAL=None, VILLE=None, PAYS=None, TELEPHONE=None, FAX=None, E_MAIL=None, SITE_WEB=None, ACTIF=1)
        ...

        N° 1551 FABRICANTS(CODE_FABRICANT='WINCHESTER', DESIGNATION='Winchester Electronics', DATE_CREATION='20171115', DATE_MAJ=None, NOM_RUE='RP /\r\n79\r\nRack & Panel\r\n62 Barnes Industrial Road North, ', CODE_POSTAL='06492', VILLE='Wallingford - Connecticut', PAYS='US', TELEPHONE='(203)741-5400', FAX='(203)741-5500', E_MAIL=None, SITE_WEB='https://www.winchesterelectronics.com/', ACTIF=1)
        N° 1552 FABRICANTS(CODE_FABRICANT='METZ FLASH', DESIGNATION='METZ (Flashs photo)',
                DATE_CREATION='20161003', DATE_MAJ=None, NOM_RUE=None, CODE_POSTAL=None, VILLE=None, PAYS=None, TELEPHONE=None,
                FAX=None, E_MAIL=None, SITE_WEB='http://www.metz.us',
                ACTIF=1)


    """
    print_sybase_records(tablename="FABRICANTS", db_params=PARAMS_DBGPAO)


def read_produits():
    """Lecture des produits de la table distante dbgpao.id3semi.PRODUITS

    Exemple d'appel::

        pipenv run python test_read_dbgpao.py read_produits

    Exemple de données:

        N° 0 PRODUITS(CODE_PRODUIT='[085D4610]', REFERENCE_VENTE=None, CATEGORIE='F', DESIGNATION='***NPU***', FAMILLE_TECHNIQUE='ZZZZ', FAMILLE_ACHAT='EOMO',
             FAMILLE_VENTE='IPID', NUMERO_SPECIFICATION=None, NUMERO_PLAN=None, CERTIFICAT_MATIERE=0, INDICE_PLAN='', DUREE_UTILISATION=None,
             DATE_CREATION='20050919', DATE_MAJ='20170103', UNITE='UNITE', CONDITIONNEMENT=0.0, POIDS_CONDIT=0.0, DERNIER_OFDA=None, PSEUDO_ARTICLE=0,
             PROD_ACTIVE=1, UNITE_FABRICATION=1.0, TEMPS_TRANSIT=0.0, LIBRE_SERVICE=0, COMMENTAIRES=None, QTE_MINIMUM=0.0, QTE_RATIONNELLE=0.0,
             DELAI_LIVRAISON=0.0, DELAI_RECEPTION=0.0, CAPACITE_PERIODIQUE=0.0, FOURNISSEUR='ZZZZ', UNITE_ACHAT='UNITE', COEFF_CONV_ACHAT=1.0, TAXE='1',
             MULTI_EMPLACEMENTS=0, LOTS=0, MAGASIN='01', ALLEE='', TRAVEE='', NIVEAU='', PRIX_ST=0.0, PRIX_ST_EU=0.0, PRIX_UNITE_ACHAT=0.0, PRIX_UNITE_ACHAT_EU=0.0,
             COUT_STANDARD=0.0, COUT_STANDARD_EU=0.0, COUT_STD_DATE=None, COUT_STD_MATIERE=0.0, COUT_STD_MATIERE_EU=0.0, COUT_STD_MO=0.0, COUT_STD_MO_EU=0.0,
             COUT_STD_MACHINE=0.0, COUT_STD_MACHINE_EU=0.0, COUT_STD_ST=0.0, COUT_STD_ST_EU=0.0, COUT_STD_FG=0.0, COUT_STD_FG_EU=0.0, COUT_STD_QTE=1.0,
             COUT_REVIENT=0.0, COUT_REVIENT_EU=0.0, COUT_REV_DATE=None, COUT_REV_MATIERE=0.0, COUT_REV_MATIERE_EU=0.0, COUT_REV_MO=0.0, COUT_REV_MO_EU=0.0,
             COUT_REV_MACHINE=0.0, COUT_REV_MACHINE_EU=0.0, COUT_REV_ST=0.0, COUT_REV_ST_EU=0.0, COUT_REV_FG=0.0, COUT_REV_FG_EU=0.0, COUT_REV_QTE=0.0, DERN_N_GAMME=0,
             INDICE_GAMME='', LANGUE='F', UNITE_VENTE='UNITE', COEFF_CONV_VENTE=1.0, DELAI_LIVRAISON_VENTE=None, CLIENT_PREFERENTIEL=None, CATEG_EVALUATION='N',
             STOCK_INVENTAIRE=0.0, VALEUR_INVENTAIRE=0.0, VALEUR_INVENTAIRE_EU=0.0, STOCK_PHYSIQUE=0.0, QTE_RESERVEE_OF=0.0, QTE_RESERVEE_CLIENTS=0.0, RECEPTION_ATTENDUE=0.0,
             STOCK_DISPONIBLE=0.0, STOCK_SECURITE=0.0, STOCK_DISPO_NET=0.0, CUMUL_ENTREES=0.0, CUMUL_SORTIES=0.0, DERNIERE_ENTREE=None, DERNIERE_SORTIE=None, AP_CUMUL_SORTIES=0.0,
             ENTREES_MOIS1=0.0, ENTREES_MOIS2=0.0, ENTREES_MOIS3=0.0, ENTREES_MOIS4=0.0, ENTREES_MOIS5=0.0, ENTREES_MOIS6=0.0, ENTREES_MOIS7=0.0, ENTREES_MOIS8=0.0,
             ENTREES_MOIS9=0.0, ENTREES_MOIS10=0.0, ENTREES_MOIS11=0.0, ENTREES_MOIS12=0.0, SORTIES_MOIS1=0.0, SORTIES_MOIS2=0.0, SORTIES_MOIS3=0.0, SORTIES_MOIS4=0.0,
             SORTIES_MOIS5=0.0, SORTIES_MOIS6=0.0, SORTIES_MOIS7=0.0, SORTIES_MOIS8=0.0, SORTIES_MOIS9=0.0, SORTIES_MOIS10=0.0, SORTIES_MOIS11=0.0, SORTIES_MOIS12=0.0,
             AP_ENTREES_MOIS1=0.0, AP_ENTREES_MOIS2=0.0, AP_ENTREES_MOIS3=0.0, AP_ENTREES_MOIS4=0.0, AP_ENTREES_MOIS5=0.0, AP_ENTREES_MOIS6=0.0, AP_ENTREES_MOIS7=0.0,
             AP_ENTREES_MOIS8=0.0, AP_ENTREES_MOIS9=0.0, AP_ENTREES_MOIS10=0.0, AP_ENTREES_MOIS11=0.0, AP_ENTREES_MOIS12=0.0, AP_SORTIES_MOIS1=0.0, AP_SORTIES_MOIS2=0.0,
             AP_SORTIES_MOIS3=0.0, AP_SORTIES_MOIS4=0.0, AP_SORTIES_MOIS5=0.0, AP_SORTIES_MOIS6=0.0, AP_SORTIES_MOIS7=0.0, AP_SORTIES_MOIS8=0.0, AP_SORTIES_MOIS9=0.0,
             AP_SORTIES_MOIS10=0.0, AP_SORTIES_MOIS11=0.0, AP_SORTIES_MOIS12=0.0, SORTIES_ALLOUEES=0.0, SORTIES_REELLES=0.0, RAPPORT_REEL_ALL=0.0, REBUT_FABRICATION=0.0,
             POURCENT_REBUT=0.0,
             DERNIER_PRIX_ACHAT=0.0, DERNIER_PRIX_ACHAT_EU=0.0, PMP=0.0, PMP_EU=0.0, VALEUR_STOCK=0.0, VALEUR_STOCK_EU=0.0,
             QTE_STOCK_CRUMP=0.0, VENTES=0.0, VENTES_EU=0.0, AP_VENTES=0.0, AP_VENTES_EU=0.0, ACHATS=0.0, ACHATS_EU=0.0, AP_ACHATS=0.0, AP_ACHATS_EU=0.0, FAMILLE_ACHAT_COMPTA='EOMO',
             FAMILLE_TARIFAIRE=None, QTE_MANUTENTION=0.0,

             FABRICANT=None, LANGUE_ACHAT='F', GERER_SERIALISATION=0, COEFF_LANCEMENT=1.0, GARANTIE_NEUF=None, EQUIPEMENT=0,

             GERER_STOCK=1, PIECE_USURE=0, VENTES_SAV=0.0,
             VENTES_SAV_EU=0.0, AP_VENTES_SAV=0.0, AP_VENTES_SAV_EU=0.0, FOURNI_CLIENT=0, FONCTION_EQUIPEMENT='0000', QTE_RESERVEE_SAV=0.0, NOMENCLATURE_DEB=None,
             ISOLER_BESOINS=0, TRACABILITE_COMPO=0, GERER_CONDITIONMNT=0, GERER_HOMOLOGATION='N', PREV_COMMERCIALES=0, INDICE_SPECIFICATION=None, INDICE_NOMENCLATURE='',
             GENCODE=None, METHODE_SERIALISATION='M', MASQUE_SERIALISATION=None, ACTIF=0, DELAI_OBTENTION=0, DATE_INVENTAIRE='20070122', SECABLE=1, OPER_CONV_ACHAT='*',
             OPER_CONV_VENTE='*', TARIF_SYNCHRO_APPROS=None, PAYS_ORIGINE=None, PERTE=0.0, SECTION_ANALYTIQUE_ACHAT=None, SECTION_ANALYTIQUE_VENTE=None, CYCLE_VIE_PHASE=None,
             DEPENDANCE_COURS_MP=None, COEFF_TPS_GAMME=1.0, ORIGINE_PREF=0, PERTE_FIXE=0.0, ZONE_LIBRE1=None, ZONE_LIBRE2=None, ZONE_LIBRE3=None,
             ZONE_LIBRE4=None, ZONE_LIBRE5=None, ZONE_LIBRE6=None, ZONE_LIBRE7=None, ZONE_LIBRE8=None, ZONE_LIBRE9=None, ZONE_LIBRE10=None, CLE_SOUS_FAMILLE_ACHAT=None,
             CYCLE_VIE_DATE=None, LIEN_DOSSIER=None)


        N° 27990 PRODUITS(CODE_PRODUIT='71185001', REFERENCE_VENTE=None, CATEGORIE='A',
                 DESIGNATION='REG LT1185 Reg LDO tension adj. NEG 3A D2PAK-5 *RoHS*',
                 FAMILLE_TECHNIQUE='ZZZZ', FAMILLE_ACHAT='IMAC', FAMILLE_VENTE='ZZZZ', NUMERO_SPECIFICATION=None, NUMERO_PLAN='D2PAK-5',
                 CERTIFICAT_MATIERE=0, INDICE_PLAN='', DUREE_UTILISATION=None,
                 DATE_CREATION='20171124',
                 DATE_MAJ='20171124',
                 UNITE='UNITE',
                 CONDITIONNEMENT=0.0,
                 POIDS_CONDIT=0.0,
                 DERNIER_OFDA=None,
                 PSEUDO_ARTICLE=0,
                 PROD_ACTIVE=1,
                 UNITE_FABRICATION=1.0,
                 TEMPS_TRANSIT=0.0, LIBRE_SERVICE=0,
                 COMMENTAIRES='Codif DS 24/11/17 selon DI 8064 AF',
                 QTE_MINIMUM=1.0, QTE_RATIONNELLE=1.0,
                 DELAI_LIVRAISON=7.0,
                 DELAI_RECEPTION=0.0, CAPACITE_PERIODIQUE=0.0,
                 FOURNISSEUR='0088', UNITE_ACHAT='UNITE', COEFF_CONV_ACHAT=1.0, TAXE='2', MULTI_EMPLACEMENTS=1,
                 LOTS=1, MAGASIN='01', ALLEE='G',
                 TRAVEE='000', NIVEAU='110', PRIX_ST=0.0, PRIX_ST_EU=0.0, PRIX_UNITE_ACHAT=0.0, PRIX_UNITE_ACHAT_EU=0.0, COUT_STANDARD=0.0, COUT_STANDARD_EU=0.0, COUT_STD_DATE=None,
                 COUT_STD_MATIERE=0.0, COUT_STD_MATIERE_EU=0.0, COUT_STD_MO=0.0, COUT_STD_MO_EU=0.0, COUT_STD_MACHINE=0.0, COUT_STD_MACHINE_EU=0.0, COUT_STD_ST=0.0, COUT_STD_ST_EU=0.0,
                 COUT_STD_FG=0.0, COUT_STD_FG_EU=0.0, COUT_STD_QTE=1.0, COUT_REVIENT=0.0, COUT_REVIENT_EU=0.0, COUT_REV_DATE=None, COUT_REV_MATIERE=0.0, COUT_REV_MATIERE_EU=0.0, COUT_REV_MO=0.0,
                 COUT_REV_MO_EU=0.0, COUT_REV_MACHINE=0.0, COUT_REV_MACHINE_EU=0.0, COUT_REV_ST=0.0, COUT_REV_ST_EU=0.0, COUT_REV_FG=0.0, COUT_REV_FG_EU=0.0, COUT_REV_QTE=0.0,
                 DERN_N_GAMME=0, INDICE_GAMME='', LANGUE='F', UNITE_VENTE='UNITE', COEFF_CONV_VENTE=1.0, DELAI_LIVRAISON_VENTE=0.0,
                 CLIENT_PREFERENTIEL=None, CATEG_EVALUATION='N', STOCK_INVENTAIRE=0.0, VALEUR_INVENTAIRE=0.0, VALEUR_INVENTAIRE_EU=0.0, STOCK_PHYSIQUE=0.0, QTE_RESERVEE_OF=0.0,
                 QTE_RESERVEE_CLIENTS=0.0, RECEPTION_ATTENDUE=0.0, STOCK_DISPONIBLE=0.0, STOCK_SECURITE=0.0, STOCK_DISPO_NET=0.0, CUMUL_ENTREES=0.0, CUMUL_SORTIES=0.0, DERNIERE_ENTREE=None,
                 DERNIERE_SORTIE=None, AP_CUMUL_SORTIES=0.0, ENTREES_MOIS1=0.0, ENTREES_MOIS2=0.0, ENTREES_MOIS3=0.0, ENTREES_MOIS4=0.0, ENTREES_MOIS5=0.0, ENTREES_MOIS6=0.0, ENTREES_MOIS7=0.0,
                 ENTREES_MOIS8=0.0,
                 ENTREES_MOIS9=0.0, ENTREES_MOIS10=0.0, ENTREES_MOIS11=0.0, ENTREES_MOIS12=0.0, SORTIES_MOIS1=0.0, SORTIES_MOIS2=0.0, SORTIES_MOIS3=0.0, SORTIES_MOIS4=0.0,
                 SORTIES_MOIS5=0.0, SORTIES_MOIS6=0.0, SORTIES_MOIS7=0.0, SORTIES_MOIS8=0.0, SORTIES_MOIS9=0.0, SORTIES_MOIS10=0.0, SORTIES_MOIS11=0.0, SORTIES_MOIS12=0.0, AP_ENTREES_MOIS1=0.0,
                 AP_ENTREES_MOIS2=0.0, AP_ENTREES_MOIS3=0.0, AP_ENTREES_MOIS4=0.0, AP_ENTREES_MOIS5=0.0, AP_ENTREES_MOIS6=0.0, AP_ENTREES_MOIS7=0.0, AP_ENTREES_MOIS8=0.0, AP_ENTREES_MOIS9=0.0,
                 AP_ENTREES_MOIS10=0.0, AP_ENTREES_MOIS11=0.0, AP_ENTREES_MOIS12=0.0, AP_SORTIES_MOIS1=0.0, AP_SORTIES_MOIS2=0.0, AP_SORTIES_MOIS3=0.0, AP_SORTIES_MOIS4=0.0, AP_SORTIES_MOIS5=0.0,
                 AP_SORTIES_MOIS6=0.0, AP_SORTIES_MOIS7=0.0, AP_SORTIES_MOIS8=0.0, AP_SORTIES_MOIS9=0.0, AP_SORTIES_MOIS10=0.0, AP_SORTIES_MOIS11=0.0, AP_SORTIES_MOIS12=0.0, SORTIES_ALLOUEES=0.0,
                 SORTIES_REELLES=0.0, RAPPORT_REEL_ALL=0.0, REBUT_FABRICATION=0.0, POURCENT_REBUT=0.0, DERNIER_PRIX_ACHAT=0.0,
                 DERNIER_PRIX_ACHAT_EU=0.0, PMP=0.0, PMP_EU=0.0, VALEUR_STOCK=0.0, VALEUR_STOCK_EU=0.0, QTE_STOCK_CRUMP=0.0, VENTES=0.0, VENTES_EU=0.0, AP_VENTES=0.0, AP_VENTES_EU=0.0, ACHATS=0.0,
                 ACHATS_EU=0.0, AP_ACHATS=0.0, AP_ACHATS_EU=0.0, FAMILLE_ACHAT_COMPTA='IMAC', FAMILLE_TARIFAIRE=None,
                 QTE_MANUTENTION=0.0,

                 FABRICANT='LT',
                 LANGUE_ACHAT='F', GERER_SERIALISATION=0, COEFF_LANCEMENT=1.0, GARANTIE_NEUF='GSTD', EQUIPEMENT=0, GERER_STOCK=1,

                 PIECE_USURE=0, VENTES_SAV=0.0, VENTES_SAV_EU=0.0, AP_VENTES_SAV=0.0, AP_VENTES_SAV_EU=0.0, FOURNI_CLIENT=0, FONCTION_EQUIPEMENT='0000', QTE_RESERVEE_SAV=0.0,
                 NOMENCLATURE_DEB=None, ISOLER_BESOINS=0, TRACABILITE_COMPO=0, GERER_CONDITIONMNT=1, GERER_HOMOLOGATION='U', PREV_COMMERCIALES=0, INDICE_SPECIFICATION=None,
                 INDICE_NOMENCLATURE='', GENCODE=None, METHODE_SERIALISATION='M', MASQUE_SERIALISATION=None, ACTIF=1, DELAI_OBTENTION=0, DATE_INVENTAIRE=None, SECABLE=0,
                 OPER_CONV_ACHAT='*', OPER_CONV_VENTE='*',
                 TARIF_SYNCHRO_APPROS='34499', PAYS_ORIGINE=None, PERTE=0.0, SECTION_ANALYTIQUE_ACHAT=None, SECTION_ANALYTIQUE_VENTE=None, CYCLE_VIE_PHASE=None,
                 DEPENDANCE_COURS_MP=None, COEFF_TPS_GAMME=1.0, ORIGINE_PREF=0, PERTE_FIXE=0.0, ZONE_LIBRE1=None, ZONE_LIBRE2=None, ZONE_LIBRE3=None, ZONE_LIBRE4=None,
                 ZONE_LIBRE5=None, ZONE_LIBRE6=None, ZONE_LIBRE7=None,
                 ZONE_LIBRE8=None, ZONE_LIBRE9=None, ZONE_LIBRE10=None, CLE_SOUS_FAMILLE_ACHAT=None, CYCLE_VIE_DATE=None, LIEN_DOSSIER=None)



    Colonnes intéressantes:

     colonnes = [
            'CODE_PRODUIT',
            'DESIGNATION',
            'DATE_CREATION',
            'DATE_MAJ',
            'DELAI_LIVRAISON',
            'FOURNISSEUR',
            'FABRICANT',
        ]

    """
    print_sybase_records(
        tablename="PRODUITS",
        db_params=PARAMS_DBGPAO,
        colonnes=[
            "CODE_PRODUIT",
            "DESIGNATION",
            "DATE_CREATION",
            "DATE_MAJ",
            "DELAI_LIVRAISON",
            "FOURNISSEUR",
            "FABRICANT",
        ],
    )


if __name__ == "__main__":
    fire.Fire()
